package com.steerinfo.dil.config;

import io.swagger.annotations.Api;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.concurrent.ThreadPoolTaskExecutor;

import java.util.concurrent.Executor;
import java.util.concurrent.ThreadPoolExecutor;

@Configuration
@EnableAsync
@Api("多线程配置")
public class AsyncConfiguration {
    @Bean("doSomethingExecutor")
    public Executor doSomeThingExecutor(){
        ThreadPoolTaskExecutor executor=new ThreadPoolTaskExecutor();
        //创建时候线程数量
        executor.setCorePoolSize(10);
        //最大时候的线程数量
        executor.setMaxPoolSize(20);
        //缓冲队列：用来缓冲执行任务的队列
        executor.setQueueCapacity(500);
        //允许线程空闲时间
        executor.setKeepAliveSeconds(60);
        //线程池前缀
        executor.setThreadNamePrefix("do-something-");
        //缓冲队列满了之后的拒绝策略
        // 缓冲队列满了之后的拒绝策略：由调用线程处理（一般是主线程）
        executor.setRejectedExecutionHandler(new ThreadPoolExecutor.DiscardPolicy());
        executor.initialize();
        return executor;
    }
}