package com.steerinfo.dil.controller;

import com.steerinfo.dil.model.TmstruckReceiptResult;
import com.steerinfo.dil.model.TmstruckReceiveResult;
import com.steerinfo.dil.service.ITmstruckReceiptResultService;
import com.steerinfo.dil.service.impl.TmstruckReceiveResultServiceImpl;
import com.steerinfo.dil.util.BaseRESTfulController;
import com.steerinfo.dil.util.ColumnDataUtil;
import com.steerinfo.dil.util.DataChange;
import com.steerinfo.dil.util.PageListAdd;
import com.steerinfo.framework.controller.RESTfulResult;
import com.steerinfo.framework.service.pagehelper.PageHelper;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.text.SimpleDateFormat;
import java.util.List;
import java.util.Map;

/**
 * @author zx
 * @Description:
 * @CreateTime 2022/5/26 18:06
 * @Version:1.0
 */
@RestController
@RequestMapping("/${api.version}/tmstruckreciveresult")
public class TmstruckReciveResultController extends BaseRESTfulController {
    @Autowired
    TmstruckReceiveResultServiceImpl  tmstruckReceiveResultService;
    @Autowired
    ColumnDataUtil columnDataUtil;

    private final SimpleDateFormat sdfDateTime = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
    @ApiOperation(value="查询所有的质检作业")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "mapValue", value = "表头和参数", required = false, dataType = "map"),
            @ApiImplicitParam(name = "apiId(111)", value = "动态表头", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageNum", value = "页码", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageSize", value = "页", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "status", value = "状态码", required = false, dataType = "Integer"),
    })
    @PostMapping("/getReceiveResult")
    public RESTfulResult getReceiveResult(@RequestBody(required=false) Map<String,Object> mapValue,
                                          Integer apiId,
                                          Integer pageNum,
                                          Integer pageSize,
                                          Integer orderType,
                                          String con,
                                          String startTime,
                                          String endTime
    ){
        mapValue.put("orderTypee", orderType);
        if (con!=null&&!"null".equals(con)&&!"".equals(con)){
            mapValue.put("con",con);
        }
        DataChange.queryDataByDateTime(startTime, endTime, mapValue,sdfDateTime);//根据时间段查询数据
        PageHelper.startPage(pageNum,pageSize);
        //分页数据
        List<Map<String, Object>> qualityResult = tmstruckReceiveResultService.getCgRecevice(mapValue);
        PageListAdd pageList = columnDataUtil.tableColumnData(apiId, null,qualityResult);
        return success(pageList);
    }
}

