package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.TmstruckEnfactoryResult;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface TmstruckEnfactoryResultMapper extends IBaseMapper<TmstruckEnfactoryResult, Short> {
    //获取采购进口矿进厂实绩
    List<Map<String, Object>> getCGJKEnFactoryResult(Map<String, Object> map);

    //查询销售进厂实绩
    List<Map<String, Object>> getXSEnFactoryResult(Map<String, Object> map);

    //查询内转钢材到异地库进厂实绩
    List<Map<String, Object>> getSteelNZEnFactoryResult(Map<String, Object> map);

    //查询内转国产矿进口矿 进厂实绩
    List<Map<String, Object>> getImportedDomesticNzLoadResult(Map<String, Object> map);

    //查询内转厂内物资进厂实绩
    List<Map<String, Object>> getInFactoryMaterialEnFactoryResult(Map<String, Object> map);

    //查询所有内转进厂实绩
    List<Map<String, Object>> getAllInwardTurnEnFactoryResult(Map<String, Object> map);

    //查询最大主键Id
    @Select("select seq_tmstruck_enfactory_result.nextval from dual")
    BigDecimal selectMaxId();

    //通过车牌号和 运输订单 查询 与运输订单关联的实绩总表ID
    Map<String,Object> selectTotalResultIdByCpAndOn(Map<String, Object> map);

    //通过门岗名称查询门岗Id
    Integer selectGatepostIdByGatepostName(String gatepostName);

    //根据orderNumber获取实绩id  总实绩Id 订单id  订单类型 orderTypee
    Map<String, Object> selectEnFactoryResultId(BigDecimal resultTotalId);

    //查找排队序号
    Integer selectNodeNumber(String orderNumber);

    //通过运输订单id查询物资信息
    List<Map<String,Object>> getMaterial(Integer orderId);
    // APP查询进厂实绩
    List<Map<String, Object>> getEnfactoryResultList();


    // APP通过运输订单id查询进厂实绩
    List<Map<String, Object>> getEnfactoryMessageByOrderId(String orderNumber);

    Map<String, Object> getBillOrder(String orderNumber);

    List<Map<String, Object>> getBillOrderForPrinter(String orderNumber);

    List<Map<String, Object>>getBillOrderMaterial(String orderNumber);

     //通过运输订单获取零星物资进厂实绩
    List<Map<String, Object>> getSporadicSuppliesEnFactoryResult(Map<String, Object> map);

    //获取采购内转进厂实绩
    List<Map<String, Object>> getCGNZEnFactory(Map<String, Object> map);

    List<Map<String, Object>> getCgNzOutFactory(Map<String, Object> map);


    //辅料查询 有几次进厂 并进了几次厂
    Integer selectEnFactoryNumber(BigDecimal resultTotalId);
    Integer selectAllEnFactoryNum(BigDecimal resultTotalId);

    List<Map<String, Object>> getEnResult();


    //查询是否拼装
    Map<String, Object> getSteelIsSpelling(BigDecimal resultTotalId);

    //删除多拼队列表实绩
    int deleteQQSL(Object listId);

    //删除单拼队列实绩
    int deleteQQL(Object listId);

    //修改排队实绩表添加排队结束时间
    int updateQQR(Object resultId);

    Integer getSaleOrderStatus(BigDecimal orderId);

}