package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.TmstruckLeaveFactoryResult;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import java.util.Map;

@Mapper
public interface TmstruckLeaveFactoryResultMapper extends IBaseMapper<TmstruckLeaveFactoryResult, BigDecimal> {
    //查询最大ID
    @Select("select seq_tmstruck_leavefactory.nextval from dual")
    BigDecimal selectMaxId();

    //查询采购所有的出厂实绩、
    List<Map<String, Object>> getCGLeaveFactoryResult(Map<String, Object> map);

    //查询运输路线是否为出厂
    Integer selectTransportRoute(String orderNumber);

    //查询车牌号与门岗
    Map<String,Object> selectCnAndGnByOrderNumber(String orderNumber);

    //根据订单号获取实绩id
    Map<String, Object> selectResultId(BigDecimal resultTotalId);

    //销售物流查询所有的出厂实绩
    List<Map<String,Object>> selectAllLeaveFacatoryForSale(Map<String,Object> map);

    //查询内转钢材到异地库出厂实绩
    List<Map<String, Object>> selectSteelNzLeaveFactory(Map<String, Object> map);

    //查询内转国产矿进口矿出厂实绩
    List<Map<String, Object>> getImportedDomesticNzEnFactoryResult(Map<String, Object> map);

    //查询内转厂内物资出厂实绩
    List<Map<String, Object>> getInFactoryOutFactoryResult(Map<String, Object> map);

    //通过总实绩Id查询出厂实绩
    BigDecimal getResultIdByTotalId(Integer resultTotalId);

    Map<String, Object> getTruckFactoryResult(String orderNumber);

    //
    List<Map<String, Object>> getLeaveFactoryList(String orderNumber);


    Map<String, Object> getDeliveryOrder(String orderNumber);

    List<Map<String,Object>> getDeliveryOrderMaterial(String orderNumber);

    //根据运输订单号查找过磅重量
    List<Map<String,Object>> getNetWeightByOrder(Map<String,Object> map);

    //根据运输订单查找物资理重
    List<Map<String, Object>> getTheoryWeight(Map<String,Object> map);



    // 查询零星物资出厂列表
    List<Map<String,Object>> getSporadicLeaveFactory(Map<String, Object> mapValue);

    //根据采购订单ID查询是否为一车多趟
    Integer getIsMoreTripsStatus(BigDecimal orderId);

    int getPlanEnable(BigDecimal orderId);

    Integer getSeq(BigDecimal orderId);

    Map<String, Object> getMessageMap(BigDecimal orderId);
    // 得到销售订单下已出厂车辆已计量净重
    Double getLeaveFactoryNetWeight(BigDecimal saleOrderId);
    // 得到销售订单下单总重量
    Double getSaleMaterialWeight(BigDecimal saleOrderId);
    // 得到当前运单净重
    Double getNowNetWeight(String orderNumber);
    // 得到销售订单id
    BigDecimal getSaleOrderId(String orderNumber);

    Integer getOrderStatus(BigDecimal orderId);

    /**
     * @author:zyf
     * @version:1.0
     * @Date:
     * @Description:查询出备注
    */
    String querynote(String orderNumber);

    /**
     * @author:zyf
     * @version:1.0
     * @Date:2022-09-21
     * @Description:用于获取时间导致的变化
    */
    Date queryDate(String orderNumber);

    /**
     * @author:zyf
     * @version:1.0
     * @Date:2022-09-21
     * @Description:用于获取对应的备注的一部分
    */
    String querypartOfNote(String orderNumber);

    /**
     * @author:zyf
     * @version:1.0
     * @Date: 2022-08-30
     * @Description:根据物资ID和订单编号查询物资件数
    */
    BigDecimal queryNumber(BigDecimal materialid,String orderNumber);

    /**
     * @author:zyf
     * @version:1.0
     * @Date:2022-09-04
     * @Description:根据运输单号查询打印数量
     */
    Map<String,Object> queryNumber1(String orderNumber);

    /**
     * @author:zyf
     * @version:1.0
     * @Date:2022-09-04
     * @Description:
     */
    void changeNumber(String orderNumber);

    //根据运输订单号查询当前物资，判断出厂是否需要装货
    List<String> getMaterial(String orderNumber);

    Integer getCanWorkStatus(BigDecimal orderId);

}