package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.TmstruckReceiveResult;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface TmstruckReceiveResultMapper extends IBaseMapper<TmstruckReceiveResult, BigDecimal> {

    //查询最大ID值
    @Select("select SQE_RECEIVE_RESULT.nextval from dual")
    BigDecimal selectMaxId();

    //通过总实绩Id查询主键Id
    BigDecimal getReceiveResult(BigDecimal totalResultId);

    //查询所有收货实绩
    List<Map<String, Object>> getCGReceiveResult(Map<String, Object> map);

    //获取内转收货实绩
    List<Map<String, Object>> getInwardReceive(Map<String, Object> map);
}