package com.steerinfo.dil.mapper;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import javax.management.monitor.StringMonitor;
import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * @ author    :TXF
 * @ time      :2021/10/26 14:27
 */

@Mapper
public interface UtilsMapper {

    //查询运输订单最大主键Id
    @Select("select seq_omstruck_order.nextval from dual")
    BigDecimal selectOrderMaxId();

    //查询运输订单子表主键ID
    @Select("select seq_omstruck_order_material.nextval from dual")
    BigDecimal selectOrderMaterialMaxId();

    //通过订单Id修改订单状态
    int updateOrderStatusByOrderIdOrNum(Map<String, Object> map);

    //通过运输Id 或者运输订单号修改 路段顺序号
    int updateLineSeqByOrderIdOrNum(Map<String, Object> map);

    //通过运力ID 或车牌号 修改运力状态
    int updateCapacityByCarIdOrNum(Map<String, Object> map);

    //通过仓库名称查询仓库Id
    Integer queryWarehouseIdByName(String warehouseName);

    //通过月台名称查找月台Id platformName
    Integer queryPlatformIdByName(String platformName);

    //根据运输订单号查询物资Id
    BigDecimal queryOrderMesByOrderId(String orderNumber);

    //查询当前路段顺序号通过订单Id
    Integer getLineSequenceByOrderId(@Param("orderId") BigDecimal orderId);

    //通过订单号查询订单路段顺序号
    Integer getLineSequenceByOrderNumber(String orderNumber);

    //查询订单跟订单物资中间表 查询是否有多个物资Id
    List<Integer> getAllMaterialId(Map<String, Object> map);

    //通过总实绩Id查询订单Id
    Integer getOrderIdByTotalId(Integer resultTotalId);

    //通过运输订单号查询订单ID
    BigDecimal getOrderIdByOrderNumber(String orderNumber);

    //通过运输订单id查询总实绩ID
    BigDecimal getTotalIdByOrderNumber(String orderNumber);


    //通过总实绩ID查找订单类型
    Map<String, Object> getOrderTypeByTotalId(BigDecimal resultTotalId);

    //查询最大路段顺序号 以及当前订单路段顺序号（执行到哪一步）
    Map<String, Object> getLineSeqAndOrderSeq(Map<String, Object> map);

    //通过订单ID查询物资ID (除了单拼外会有多个)
    List<Integer> getMaterialIdByOrderId(BigDecimal orderId);

    //查询订单ID查询第一个计量的物资Id（物资子表）
    Integer getLxFirstMaterialId(BigDecimal orderId);

    //通过人员管理SSOID查询人员ID
    Integer getPersonnelIdBySsoId(String personnelSsoId);

    //查询订单是否确认
    Integer getDriverConfirmation(BigDecimal orderId);

    //通过路段顺序号和线路ID查找 线路子表的子表的ID 和门岗ID或汽车衡ID
    List<Integer> getLineSegmentGateCalcId(Map<String, Object> map);

    //通过运输订单id查找运输订单信息
    Map<String, Object> getOrderMesByOrderId(BigDecimal orderId);

    //通过运输订单号查询运输订单类型
    Map<String, Object> getOrderTypeByOrderNumber(String orderNumber);

    //根据运输订单id查找是否有多个物资
    Integer countMaterialByOrderId(BigDecimal orderId);

    //通过车牌号查询运力ID
    BigDecimal getCapacityIdByNum(String capacityNumber);

    //查询最近进厂门岗
    Integer getLastGatepostId(BigDecimal resultTotalId);

    //查询零星是否多拼或没有净重的物资
    Integer getNextMaterialId(BigDecimal orderId);

    //通过运输订单id查找计时作业实绩
    Map<String,Object> timeTaskResult(BigDecimal orderId);

    //根据运输订单id查找订单类型
    Map<String,Object> getTimeStatus(Map<String,Object> map);

    //通过运输订单号查找内转类型
    BigDecimal getInwardType(BigDecimal orderId);

    //根据运输订单id查找两次计时作业实绩
   Map<String,Object> FristTimeTask(Map<String,Object> map);

   //根据运输订单id查找计时暂停时间
    BigDecimal TimeTaskPause(Map<String,Object> map);

   //通过运输订单id查找计时是否开始
    BigDecimal getTime(BigDecimal orderId);

    //通过运输订单id查找计时开始时间
    BigDecimal getInwardStartTime(BigDecimal orderId);

    //通过运输订单id查找计时结束时间
    BigDecimal getInwardEndTime(BigDecimal orderId);

    //通过userId查找运力名字
    String getCapacityNameBySsoId(String userId);

    //通过车牌号和运输订单号去寻找装车实绩
    BigDecimal getLoadResultId(Map<String,Object> map);

    BigDecimal getTotalIdByOrderId(BigDecimal orderId);

    //通过仓库id
    String queryWarehouseName(BigDecimal warehouseId);

    String getRequireRemark(BigDecimal orderId);

}
