package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

@ApiModel(value="计量回传报文")
public class MeasureJsonData implements IBasePO<BigDecimal> {
    /**
     * 存储报文主键id(MEASURE_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="存储报文主键id",required=true)
    private BigDecimal measureId;

    /**
     * 报文所属:1,老厂区 2，新厂区(MEASURE_TYPE_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="报文所属:1,老厂区 2，新厂区",required=false)
    private BigDecimal measureTypeId;

    /**
     * 存储报文(MEASURE_JSON_DATA,VARCHAR,255)
     */
    @ApiModelProperty(value="存储报文",required=false)
    private String measureJsonData;

    /**
     * 物流请求url(MEASURE_JSON_URL,VARCHAR,255)
     */
    @ApiModelProperty(value="物流请求url",required=false)
    private String measureJsonUrl;

    /**
     * 运输订单号(ORDER_NUMBER,VARCHAR,255)
     */
    @ApiModelProperty(value="运输订单号",required=false)
    private String orderNumber;

    /**
     * 装货地点(WAREHOUSE_NAME,VARCHAR,255)
     */
    @ApiModelProperty(value="装货地点",required=false)
    private String warehouseName;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.measureId;
    }

    @Override
    public void setId(BigDecimal measureId) {
        this.measureId = measureId;
    }

    public BigDecimal getMeasureId() {
        return measureId;
    }

    public void setMeasureId(BigDecimal measureId) {
        this.measureId = measureId;
    }

    public BigDecimal getMeasureTypeId() {
        return measureTypeId;
    }

    public void setMeasureTypeId(BigDecimal measureTypeId) {
        this.measureTypeId = measureTypeId;
    }

    public String getMeasureJsonData() {
        return measureJsonData;
    }

    public void setMeasureJsonData(String measureJsonData) {
        this.measureJsonData = measureJsonData == null ? null : measureJsonData.trim();
    }

    public String getMeasureJsonUrl() {
        return measureJsonUrl;
    }

    public void setMeasureJsonUrl(String measureJsonUrl) {
        this.measureJsonUrl = measureJsonUrl == null ? null : measureJsonUrl.trim();
    }

    public String getOrderNumber() {
        return orderNumber;
    }

    public void setOrderNumber(String orderNumber) {
        this.orderNumber = orderNumber == null ? null : orderNumber.trim();
    }

    public String getWarehouseName() {
        return warehouseName;
    }

    public void setWarehouseName(String warehouseName) {
        this.warehouseName = warehouseName == null ? null : warehouseName.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", measureId=").append(measureId);
        sb.append(", measureTypeId=").append(measureTypeId);
        sb.append(", measureJsonData=").append(measureJsonData);
        sb.append(", measureJsonUrl=").append(measureJsonUrl);
        sb.append(", orderNumber=").append(orderNumber);
        sb.append(", warehouseName=").append(warehouseName);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}