package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="汽运异常实绩")
public class TmstruckAbnormalResult implements IBasePO<BigDecimal> {
    /**
     * 主键ID(ABNORMAL_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private BigDecimal abnormalId;

    /**
     * 总实绩ID(RESULT_TOTAL_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="总实绩ID",required=false)
    private BigDecimal resultTotalId;

    /**
     * 异常选型（0：司机上报异常，1：偏离，2：停车，3：离线）(ABNORMAL_TYPE,DECIMAL,0)
     */
    @ApiModelProperty(value="异常选型（0：司机上报异常，1：偏离，2：停车，3：离线）",required=false)
    private BigDecimal abnormalType;

    /**
     * 异常时间(ABNORMAL_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="异常时间",required=false)
    private Date abnormalTime;

    /**
     * 异常地点(ABNORMAL_ADDRESS,VARCHAR,20)
     */
    @ApiModelProperty(value="异常地点",required=false)
    private String abnormalAddress;

    /**
     * 异常持续时间(ABNORMAL_DURATION,DECIMAL,0)
     */
    @ApiModelProperty(value="异常持续时间",required=false)
    private BigDecimal abnormalDuration;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 异常情况(ABNORMAL_CONDITION,VARCHAR,100)
     */
    @ApiModelProperty(value="异常情况",required=false)
    private String abnormalCondition;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.abnormalId;
    }

    @Override
    public void setId(BigDecimal abnormalId) {
        this.abnormalId = abnormalId;
    }

    public BigDecimal getAbnormalId() {
        return abnormalId;
    }

    public void setAbnormalId(BigDecimal abnormalId) {
        this.abnormalId = abnormalId;
    }

    public BigDecimal getResultTotalId() {
        return resultTotalId;
    }

    public void setResultTotalId(BigDecimal resultTotalId) {
        this.resultTotalId = resultTotalId;
    }

    public BigDecimal getAbnormalType() {
        return abnormalType;
    }

    public void setAbnormalType(BigDecimal abnormalType) {
        this.abnormalType = abnormalType;
    }

    public Date getAbnormalTime() {
        return abnormalTime;
    }

    public void setAbnormalTime(Date abnormalTime) {
        this.abnormalTime = abnormalTime;
    }

    public String getAbnormalAddress() {
        return abnormalAddress;
    }

    public void setAbnormalAddress(String abnormalAddress) {
        this.abnormalAddress = abnormalAddress == null ? null : abnormalAddress.trim();
    }

    public BigDecimal getAbnormalDuration() {
        return abnormalDuration;
    }

    public void setAbnormalDuration(BigDecimal abnormalDuration) {
        this.abnormalDuration = abnormalDuration;
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public String getAbnormalCondition() {
        return abnormalCondition;
    }

    public void setAbnormalCondition(String abnormalCondition) {
        this.abnormalCondition = abnormalCondition == null ? null : abnormalCondition.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", abnormalId=").append(abnormalId);
        sb.append(", resultTotalId=").append(resultTotalId);
        sb.append(", abnormalType=").append(abnormalType);
        sb.append(", abnormalTime=").append(abnormalTime);
        sb.append(", abnormalAddress=").append(abnormalAddress);
        sb.append(", abnormalDuration=").append(abnormalDuration);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", abnormalCondition=").append(abnormalCondition);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}