package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="null")
public class TmstruckInTransitWarn implements IBasePO<BigDecimal> {
    /**
     * 主键ID(WARN_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private BigDecimal warnId; 

    /**
     * 预警开关（0：开启；1：关闭）(WARN_SWITCH,VARCHAR,40)
     */
    @ApiModelProperty(value="预警开关（0：开启；1：关闭）",required=false)
    private String warnSwitch;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,40)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,40)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 订阅预警类型
type=1 异常线路预警
type=2 异常线路预警
+停车
type=3 异常线路预警
+离线
type=4 异常线路预警
+停车+离线(WARN_TYPE,VARCHAR,40)
     */
    @ApiModelProperty(value="订阅预警类型type=1 异常线路预警type=2 异常线路预警+停车type=3 异常线路预警+离线type=4 异常线路预警+停车+离线",required=false)
    private String warnType;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.warnId;
    }

    @Override
    public void setId(BigDecimal warnId) {
        this.warnId = warnId;
    }

    public BigDecimal getWarnId() {
        return warnId;
    }

    public void setWarnId(BigDecimal warnId) {
        this.warnId = warnId;
    }

    public String getWarnSwitch() {
        return warnSwitch;
    }

    public void setWarnSwitch(String warnSwitch) {
        this.warnSwitch = warnSwitch == null ? null : warnSwitch.trim();
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public String getWarnType() {
        return warnType;
    }

    public void setWarnType(String warnType) {
        this.warnType = warnType == null ? null : warnType.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", warnId=").append(warnId);
        sb.append(", warnSwitch=").append(warnSwitch);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", warnType=").append(warnType);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}