package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="汽运装货实绩")
public class TmstruckLoadResult implements IBasePO<BigDecimal> {
    /**
     * 主键id(RESULT_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="主键id",required=true)
    private BigDecimal resultId;

    /**
     * 实绩总表ID(RESULT_TOTAL_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="实绩总表ID",required=false)
    private BigDecimal resultTotalId;

    /**
     * 装货开始时间(RESULT_LOAD_START_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="装货开始时间",required=false)
    private Date resultLoadStartTime;

    /**
     * 装货结束时间(RESULT_LOAD_END_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="装货结束时间",required=false)
    private Date resultLoadEndTime;

    /**
     * 装货实绩时长(RESULT_LOAD_DURATION,DECIMAL,0)
     */
    @ApiModelProperty(value="装货实绩时长",required=false)
    private BigDecimal resultLoadDuration;

    /**
     * 装货标准时长id(LOAD_STANDARD_TIME_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="装货标准时长id",required=false)
    private BigDecimal loadStandardTimeId;

    /**
     * 装卸工ID(LOADER_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="装卸工ID",required=false)
    private BigDecimal loaderId;

    /**
     * 是否清场（否：未清场；是：清场）(RESULT_ISCLEAR,VARCHAR,10)
     */
    @ApiModelProperty(value="是否清场（否：未清场；是：清场）",required=false)
    private String resultIsclear;

    /**
     * 废除人(DELETE_NAME,VARCHAR,16)
     */
    @ApiModelProperty(value="废除人",required=false)
    private String deleteName;

    /**
     * 废除时间(DELETE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="废除时间",required=false)
    private Date deleteTime;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 状态：0 ：正常 1：逻辑删除 (STATUS,DECIMAL,0)
     */
    @ApiModelProperty(value="状态：0 ：正常 1：逻辑删除 ",required=false)
    private BigDecimal status;

    /**
     * 计量吨位  装车时的计量吨位(RESULT_MEASURED_TONNAGE,DECIMAL,0)
     */
    @ApiModelProperty(value="计量吨位  装车时的计量吨位",required=false)
    private BigDecimal resultMeasuredTonnage;

    /**
     * 装货点ID(LOADING_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="装货点ID",required=false)
    private BigDecimal loadingId;

    /**
     * 物资ID(MATERIAL_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="物资ID",required=false)
    private BigDecimal materialId;

    /**
     * 装车顺序(LOADING_SEQUENCE,DECIMAL,0)
     */
    @ApiModelProperty(value="装车顺序",required=false)
    private BigDecimal loadingSequence;

    /**
     * 是否需要质检（0 ：不需要   1：需要）(ISDEDUCT,DECIMAL,0)
     */
    @ApiModelProperty(value="是否需要质检（0 ：不需要   1：需要）",required=false)
    private BigDecimal isdeduct;

    /**
     * 路段顺序号(SEGMENT_SQE,DECIMAL,0)
     */
    @ApiModelProperty(value="路段顺序号",required=false)
    private BigDecimal segmentSqe;

    /**
     * 集装箱箱号(CASE_NUMBER,VARCHAR,255)
     */
    @ApiModelProperty(value="集装箱箱号",required=false)
    private String caseNumber;

    @ApiModelProperty(value="集装箱箱号2",required=false)
    private String caseNumbertwo;

    @ApiModelProperty(value="车型备注",required=false)
    private String capacityRemark;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.resultId;
    }

    @Override
    public void setId(BigDecimal resultId) {
        this.resultId = resultId;
    }

    public BigDecimal getResultId() {
        return resultId;
    }

    public void setResultId(BigDecimal resultId) {
        this.resultId = resultId;
    }

    public BigDecimal getResultTotalId() {
        return resultTotalId;
    }

    public void setResultTotalId(BigDecimal resultTotalId) {
        this.resultTotalId = resultTotalId;
    }

    public String getCaseNumbertwo() {
        return caseNumbertwo;
    }

    public void setCaseNumbertwo(String caseNumbertwo) {
        this.caseNumbertwo = caseNumbertwo;
    }

    public Date getResultLoadStartTime() {
        return resultLoadStartTime;
    }

    public void setResultLoadStartTime(Date resultLoadStartTime) {
        this.resultLoadStartTime = resultLoadStartTime;
    }

    public Date getResultLoadEndTime() {
        return resultLoadEndTime;
    }

    public void setResultLoadEndTime(Date resultLoadEndTime) {
        this.resultLoadEndTime = resultLoadEndTime;
    }

    public BigDecimal getResultLoadDuration() {
        return resultLoadDuration;
    }

    public void setResultLoadDuration(BigDecimal resultLoadDuration) {
        this.resultLoadDuration = resultLoadDuration;
    }

    public BigDecimal getLoadStandardTimeId() {
        return loadStandardTimeId;
    }

    public void setLoadStandardTimeId(BigDecimal loadStandardTimeId) {
        this.loadStandardTimeId = loadStandardTimeId;
    }

    public BigDecimal getLoaderId() {
        return loaderId;
    }

    public void setLoaderId(BigDecimal loaderId) {
        this.loaderId = loaderId;
    }

    public String getResultIsclear() {
        return resultIsclear;
    }

    public void setResultIsclear(String resultIsclear) {
        this.resultIsclear = resultIsclear == null ? null : resultIsclear.trim();
    }

    public String getDeleteName() {
        return deleteName;
    }

    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName == null ? null : deleteName.trim();
    }

    public Date getDeleteTime() {
        return deleteTime;
    }

    public void setDeleteTime(Date deleteTime) {
        this.deleteTime = deleteTime;
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public BigDecimal getStatus() {
        return status;
    }

    public void setStatus(BigDecimal status) {
        this.status = status;
    }

    public BigDecimal getResultMeasuredTonnage() {
        return resultMeasuredTonnage;
    }

    public void setResultMeasuredTonnage(BigDecimal resultMeasuredTonnage) {
        this.resultMeasuredTonnage = resultMeasuredTonnage;
    }

    public BigDecimal getLoadingId() {
        return loadingId;
    }

    public void setLoadingId(BigDecimal loadingId) {
        this.loadingId = loadingId;
    }

    public BigDecimal getMaterialId() {
        return materialId;
    }

    public void setMaterialId(BigDecimal materialId) {
        this.materialId = materialId;
    }

    public BigDecimal getLoadingSequence() {
        return loadingSequence;
    }

    public void setLoadingSequence(BigDecimal loadingSequence) {
        this.loadingSequence = loadingSequence;
    }

    public BigDecimal getIsdeduct() {
        return isdeduct;
    }

    public void setIsdeduct(BigDecimal isdeduct) {
        this.isdeduct = isdeduct;
    }

    public BigDecimal getSegmentSqe() {
        return segmentSqe;
    }

    public void setSegmentSqe(BigDecimal segmentSqe) {
        this.segmentSqe = segmentSqe;
    }

    public String getCaseNumber() {
        return caseNumber;
    }

    public void setCaseNumber(String caseNumber) {
        this.caseNumber = caseNumber == null ? null : caseNumber.trim();
    }

    public String getCapacityRemark() {
        return capacityRemark;
    }

    public void setCapacityRemark(String capacityRemark) {
        this.capacityRemark = capacityRemark;
    }

    @Override
    public String toString() {
        return "TmstruckLoadResult{" +
                "resultId=" + resultId +
                ", resultTotalId=" + resultTotalId +
                ", resultLoadStartTime=" + resultLoadStartTime +
                ", resultLoadEndTime=" + resultLoadEndTime +
                ", resultLoadDuration=" + resultLoadDuration +
                ", loadStandardTimeId=" + loadStandardTimeId +
                ", loaderId=" + loaderId +
                ", resultIsclear='" + resultIsclear + '\'' +
                ", deleteName='" + deleteName + '\'' +
                ", deleteTime=" + deleteTime +
                ", insertUsername='" + insertUsername + '\'' +
                ", insertTime=" + insertTime +
                ", updateUsername='" + updateUsername + '\'' +
                ", updateTime=" + updateTime +
                ", insertUpdateRemark='" + insertUpdateRemark + '\'' +
                ", status=" + status +
                ", resultMeasuredTonnage=" + resultMeasuredTonnage +
                ", loadingId=" + loadingId +
                ", materialId=" + materialId +
                ", loadingSequence=" + loadingSequence +
                ", isdeduct=" + isdeduct +
                ", segmentSqe=" + segmentSqe +
                ", caseNumber='" + caseNumber + '\'' +
                ", caseNumbertwo='" + caseNumbertwo + '\'' +
                ", capacityRemark='" + capacityRemark + '\'' +
                '}';
    }
}