package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="收货实绩")
public class TmstruckReceiptResult implements IBasePO<BigDecimal> {
    /**
     * 主键ID(RESULT_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private BigDecimal resultId;

    /**
     * 总实绩ID(RESULT_TOTAL_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="总实绩ID",required=false)
    private BigDecimal resultTotalId;

    /**
     * 空货箱照片(RESULT_EMPTY_CONTAINER_PHOTO,VARCHAR,100)
     */
    @ApiModelProperty(value="空货箱照片",required=false)
    private String resultEmptyContainerPhoto;

    /**
     * 已签字的送货单照片(RESULT_SIGNED_NOTE_PHOTO,VARCHAR,100)
     */
    @ApiModelProperty(value="已签字的送货单照片",required=false)
    private String resultSignedNotePhoto;

    /**
     * 客户签收单照片(RESULT_RECEIVE_NOTE_PHOTO,VARCHAR,100)
     */
    @ApiModelProperty(value="客户签收单照片",required=false)
    private String resultReceiveNotePhoto;

    /**
     * 异地库ID(WAREHOUSE_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="异地库ID",required=false)
    private BigDecimal warehouseId;

    /**
     * 异地库ID(ORDER_MILEAGE,DECIMAL,38)
     */
    @ApiModelProperty(value="异地库ID",required=false)
    private BigDecimal  orderMileage;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;
    /**
     * 收货状态(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="收货状态",required=false)
    private BigDecimal status;

    /**
     * 抵达收货点的地址(RESULT_ARRIVAL_ADDRESS,VARCHAR,100)
     */
    @ApiModelProperty(value="抵达收货点的地址",required=false)
    private String resultArrivalAddress;

    private static final long serialVersionUID = 1L;

    public BigDecimal getOrderMileage() {
        return orderMileage;
    }

    public void setOrderMileage(BigDecimal orderMileage) {
        this.orderMileage = orderMileage;
    }

    @Override
    public BigDecimal getId() {
        return this.resultId;
    }

    @Override
    public void setId(BigDecimal resultId) {
        this.resultId = resultId;
    }

    public BigDecimal getResultId() {
        return resultId;
    }

    public void setResultId(BigDecimal resultId) {
        this.resultId = resultId;
    }

    public BigDecimal getResultTotalId() {
        return resultTotalId;
    }

    public void setResultTotalId(BigDecimal resultTotalId) {
        this.resultTotalId = resultTotalId;
    }

    public String getResultEmptyContainerPhoto() {
        return resultEmptyContainerPhoto;
    }

    public void setResultEmptyContainerPhoto(String resultEmptyContainerPhoto) {
        this.resultEmptyContainerPhoto = resultEmptyContainerPhoto == null ? null : resultEmptyContainerPhoto.trim();
    }

    public String getResultSignedNotePhoto() {
        return resultSignedNotePhoto;
    }

    public void setResultSignedNotePhoto(String resultSignedNotePhoto) {
        this.resultSignedNotePhoto = resultSignedNotePhoto == null ? null : resultSignedNotePhoto.trim();
    }

    public String getResultReceiveNotePhoto() {
        return resultReceiveNotePhoto;
    }

    public void setResultReceiveNotePhoto(String resultReceiveNotePhoto) {
        this.resultReceiveNotePhoto = resultReceiveNotePhoto == null ? null : resultReceiveNotePhoto.trim();
    }

    public BigDecimal getStatus() {
        return status;
    }

    public void setStatus(BigDecimal status) {
        this.status = status;
    }

    public BigDecimal getWarehouseId() {
        return warehouseId;
    }

    public void setWarehouseId(BigDecimal warehouseId) {
        this.warehouseId = warehouseId;
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public String getResultArrivalAddress() {
        return resultArrivalAddress;
    }

    public void setResultArrivalAddress(String resultArrivalAddress) {
        this.resultArrivalAddress = resultArrivalAddress == null ? null : resultArrivalAddress.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", resultId=").append(resultId);
        sb.append(", resultTotalId=").append(resultTotalId);
        sb.append(", resultEmptyContainerPhoto=").append(resultEmptyContainerPhoto);
        sb.append(", resultSignedNotePhoto=").append(resultSignedNotePhoto);
        sb.append(", resultReceiveNotePhoto=").append(resultReceiveNotePhoto);
        sb.append(", warehouseId=").append(warehouseId);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", resultArrivalAddress=").append(resultArrivalAddress);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}