package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="签收实绩")
public class TmstruckReceiveResult implements IBasePO<BigDecimal> {
    /**
     * 主键id(RESULT_RECEIVE_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="主键id",required=true)
    private BigDecimal resultReceiveId;

    /**
     * 实绩总表id(RESULT_TOTAL_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="实绩总表id",required=false)
    private BigDecimal resultTotalId;

    /**
     * 签收时间(RESULT_RECEIVE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="签收时间",required=false)
    private Date resultReceiveTime;

    /**
     * 签收人id(RECEIVE_SINGER_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="签收人id",required=false)
    private BigDecimal receiveSingerId;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 状态：0 为卸货后新增虚拟收货实绩  1 为计皮完成后真实收货实绩(STATUS,DECIMAL,0)
     */
    @ApiModelProperty(value="状态：0 为卸货后新增虚拟收货实绩  1 为计皮完成后真实收货实绩",required=false)
    private BigDecimal status;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.resultReceiveId;
    }

    @Override
    public void setId(BigDecimal resultReceiveId) {
        this.resultReceiveId = resultReceiveId;
    }

    public BigDecimal getResultReceiveId() {
        return resultReceiveId;
    }

    public void setResultReceiveId(BigDecimal resultReceiveId) {
        this.resultReceiveId = resultReceiveId;
    }

    public BigDecimal getResultTotalId() {
        return resultTotalId;
    }

    public void setResultTotalId(BigDecimal resultTotalId) {
        this.resultTotalId = resultTotalId;
    }

    public Date getResultReceiveTime() {
        return resultReceiveTime;
    }

    public void setResultReceiveTime(Date resultReceiveTime) {
        this.resultReceiveTime = resultReceiveTime;
    }

    public BigDecimal getReceiveSingerId() {
        return receiveSingerId;
    }

    public void setReceiveSingerId(BigDecimal receiveSingerId) {
        this.receiveSingerId = receiveSingerId;
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public BigDecimal getStatus() {
        return status;
    }

    public void setStatus(BigDecimal status) {
        this.status = status;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", resultReceiveId=").append(resultReceiveId);
        sb.append(", resultTotalId=").append(resultTotalId);
        sb.append(", resultReceiveTime=").append(resultReceiveTime);
        sb.append(", receiveSingerId=").append(receiveSingerId);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", status=").append(status);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}