package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="汽运短信实绩")
public class TmstruckSmsRusult implements IBasePO<BigDecimal> {
    /**
     * 总实绩ID(RESULT_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="总实绩ID",required=true)
    private BigDecimal resultId;

    /**
     * 总实绩ID(TOTAL_RESULT_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="总实绩ID",required=false)
    private BigDecimal totalResultId;

    /**
     * 发送方ID(SENDER_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="发送方ID",required=false)
    private BigDecimal senderId;

    /**
     * 短信发送时间(RESULT_SENDING_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="短信发送时间",required=false)
    private Date resultSendingTime;

    /**
     * 短信内容(RESULT_SMS_CONTENT,VARCHAR,120)
     */
    @ApiModelProperty(value="短信内容",required=false)
    private String resultSmsContent;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.resultId;
    }

    @Override
    public void setId(BigDecimal resultId) {
        this.resultId = resultId;
    }

    public BigDecimal getResultId() {
        return resultId;
    }

    public void setResultId(BigDecimal resultId) {
        this.resultId = resultId;
    }

    public BigDecimal getTotalResultId() {
        return totalResultId;
    }

    public void setTotalResultId(BigDecimal totalResultId) {
        this.totalResultId = totalResultId;
    }

    public BigDecimal getSenderId() {
        return senderId;
    }

    public void setSenderId(BigDecimal senderId) {
        this.senderId = senderId;
    }

    public Date getResultSendingTime() {
        return resultSendingTime;
    }

    public void setResultSendingTime(Date resultSendingTime) {
        this.resultSendingTime = resultSendingTime;
    }

    public String getResultSmsContent() {
        return resultSmsContent;
    }

    public void setResultSmsContent(String resultSmsContent) {
        this.resultSmsContent = resultSmsContent == null ? null : resultSmsContent.trim();
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", resultId=").append(resultId);
        sb.append(", totalResultId=").append(totalResultId);
        sb.append(", senderId=").append(senderId);
        sb.append(", resultSendingTime=").append(resultSendingTime);
        sb.append(", resultSmsContent=").append(resultSmsContent);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}