package com.steerinfo.dil.service;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * @ author    :TXF
 * @ time      :2021/11/16 14:30
 */

public interface IRulesService {
    //通过运输订单号查询物资并根据门岗规则计算出厂门岗
    int calculateGatepost(Map<String, Object> map);

    //通过物资Id、计量类型（进厂、出厂、中转） 可能会有多个称
    List<Integer> queryTruckCalculate(Map<String, Object> map);

    //查询当前物资是否为最后一拼（是否还有未装车实绩）
    List<Map<String, Object>> judgeLastMaterial(BigDecimal orderId);

    //通过物资Id查询仓库是否有货 或者 是否有多个仓库有货
    List<Integer> getWarehouseIdByMaterialId(Integer materialId);

    //通过仓库Id 和 物资Id 查询垛位 层次 月台 仓库
    List<Map<String, Object>> getStackGradation(Map<String, Object> map);

    //通过月台Id 查询月台当前排队车辆数
    BigDecimal queueCountByPlatformId(BigDecimal platformId);

    //通过排队规则查询月台ID  materialIdList：运单关联的所有物资
    Map<String, Object> getPlatId(Integer materialId);

    //计算物资优先级顺序 并计算装车点
    Map<String, Object> calculateMaterialPriority(List<Map<String, Object>> mapList);

    //计算装车顺序
    Map<String, Object> calculateMaterial(List<Map<String, Object>> mapList);
}
