package com.steerinfo.dil.service.impl;

import com.steerinfo.dil.mapper.DropDownMapper;
import com.steerinfo.dil.service.DropDownService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * @ author    :TXF
 * @ time      :2021/9/4 9:37
 */

@Service
public class DropDownServiceImpl implements DropDownService {

    @Autowired
    DropDownMapper dropDownMapper;

    /**
     * 获取批次
     * @return
     */
    @Override
    public List<Map<String, Object>> getDilBatch() {
        return dropDownMapper.getDilBatch();
    }

    /**
     * 获取承运商
     * @return
     */
    @Override
    public List<Map<String, Object>> getCarrier() {
        return dropDownMapper.getCarrier();
    }

    /**
     * 获取作业路径
     * @return
     */
    @Override
    public List<Map<String, Object>> getLine() {
        return dropDownMapper.getLine();
    }

    /**
     * 获取仓库名称
     * @return
     */
    @Override
    public List<Map<String, Object>> getWarehouse(Map<String, Object> map) {
        return dropDownMapper.getWarehouse(map);
    }

    /**
     * 获取门岗下拉框
     * @return
     */
    @Override
    public List<Map<String, Object>> getGatepost() {
        return dropDownMapper.getGatepost();
    }

    /**
     * 获取采购订单号
     * @return
     */
    @Override
    public List<Map<String, Object>> getAPO() {
        return dropDownMapper.getAPO();
    }

    /**
     * 获取物资ID
     * @return
     */
    @Override
    public List<Map<String, Object>> getFuMaterial(Integer type) {
        return dropDownMapper.getFuMaterial(type);
    }

    /**
     * 获取所有的辅料车辆并且为空闲状态
     * @return
     */
    @Override
    public List<Map<String, Object>> getFuCapacityId() {
        return dropDownMapper.getFuCapacityId();
    }

    /**
     * 获取所有的港口
     * @return
     */
    @Override
    public List<Map<String, Object>> getPort() {
        return dropDownMapper.getPort();
    }

    /**
     * 获取所有的月台
     * @return
     */
    @Override
    public List<Map<String, Object>> getPlatformId() {
        return dropDownMapper.getPlatformId();
    }
    /**
     * 获取装货点下拉框
     * @return
     */
    @Override
    public List<Map<String, Object>> getLoadedPlace() {
        return dropDownMapper.getLoadedPlace();
    }

    /**
     * 获取外轮船名
     * @return
     */
    @Override
    public List<Map<String, Object>> getForeignName() {
        return dropDownMapper.getForeignName();
    }

    /**
     * 获取卸货点
     * @param type
     * @return
     */
    @Override
    public List<Map<String, Object>> getUnloadPoint(Integer type) {
        return dropDownMapper.getUnloadPoint(type);
    }


    /**
     * 查询订单下关联的物资
     * @param orderId
     * @return
     */
    @Override
    public List<Map<String, Object>> getOrderMaterial(Integer orderId) {
        return dropDownMapper.getOrderMaterial(orderId);
    }

    /**
     * 查询仓库对应的月台
     * @param warehouseId
     * @return
     */
    @Override
    public List<Map<String, Object>> getPlatformIdByWarehouse(Integer warehouseId) {
        return dropDownMapper.getPlatformIdByWarehouse(warehouseId);
    }


}
